## helma.util
Class MimePartDataSource

    java.lang.Object
      helma.util.MimePartDataSource

All Implemented Interfaces:
  javax.activation.DataSource

    public class MimePartDataSource

extends java.lang.Object
implements javax.activation.DataSource

Makes MimeParts usable as Datasources in the Java Activation Framework (JAF)

Constructor Summary
`MimePartDataSource(MimePart part)` Creates a new MimePartDataSource object.
`MimePartDataSource(MimePart part, java.lang.String name)` Creates a new MimePartDataSource object.

Method Summary
`java.lang.String` `getContentType()`
`java.io.InputStream` `getInputStream()`
`java.lang.String` `getName()`
`java.io.OutputStream` `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimePartDataSource

    public MimePartDataSource(MimePart part)

  Creates a new MimePartDataSource object.

  Parameters:
    `part` - ...

### MimePartDataSource

    public MimePartDataSource(MimePart part,
                              java.lang.String name)

  Creates a new MimePartDataSource object.

  Parameters:
    `part` - ...
    `name` - ...

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Returns:
    ...
  Throws:
    `java.io.IOException` - ...

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Returns:
    ...
  Throws:
    `java.io.IOException` - ...

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`
  Returns:
    ...

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.